VirtualBox

Ticket #3183 (new defect)

Opened 5 years ago

Last modified 4 years ago

Failed to open/create the internal network 'HostInterfaceNetworking-ce0 - Cassini Gigabit Ethernet'

Reported by: clearvoyager Owned by:
Priority: major Component: network/hostif
Version: VirtualBox 2.1.2 Keywords:
Cc: Guest type: other
Host type: Solaris

Description (last modified by frank) (diff)

Hardware is a Sun v20z with Quad Ethernet card, X4444A

Can use host interface on internal Broadcom bge(0-1) but cannot boot if using host interface on ce(0-3) of the X4444A. Will boot if set to NAT.

Everything is standard Sun, no third party. Enclosed is information from system.

When starting the VM the following message appears:

Failed to open/create the internal network 'HostInterfaceNetworking-ce0 - Cassini Gigabit Ethernet' (VERR_INTNET_FLT_IF_FAILED).

Unknown error creating VM (VERR_INTNET_FLT_IF_FAILED).

Result Code: NS_ERROR_FAILURE (0x80004005)
Component: Console
Interface: IConsole {e3c6d4a1-a935-47ca-b16d-f9e9c496e53e}

System Information:

Uname –a: SunOS DEMOVMA-IS 5.10 Generic_137138-09 i86pc i386 i86pc

# VBoxManage showvminfo VM-ITK1
VirtualBox Command Line Management Interface Version 2.1.2
(C) 2005-2009 Sun Microsystems, Inc.
All rights reserved.

Name:            VM-ITK1
Guest OS:        Windows 2003
UUID:            a13b0575-3c60-4410-b871-8b1cc882d2f7
Config file:     /.VirtualBox/Machines/VM-ITK1/VM-ITK1.xml
Memory size:     512MB
VRAM size:       12MB
Boot menu mode:  message and menu
ACPI:            on
IOAPIC:          off
PAE:             off
Time offset:     0 ms
Hardw. virt.ext: off
Nested Paging:   off
VT-x VPID:       off
State:           aborted (since 2009-01-26T19:05:34.000000000)
Monitor count:   1
3D Acceleration: off
Floppy:          empty
SATA:            disabled
IDE Controller:  PIIX4
Primary master:  /.VirtualBox/HardDisks/VM-ITK1.vdi (UUID: 9cd0b8af-a79a-4b41-8ab6-a442215b43d7)
DVD:             empty
NIC 1:           MAC: 080027B97544, Attachment: Host Interface 'bge0 - Broadcom BCM57xx Gigabit Ethernet', Cable connected: on, Trace: off (file: none), Type: Am79C973, Reported speed: 0 Mbps
NIC 2:           MAC: 080027CC3DD9, Attachment: Host Interface 'bge1 - Broadcom BCM57xx Gigabit Ethernet', Cable connected: on, Trace: off (file: none), Type: Am79C973, Reported speed: 0 Mbps
NIC 3:           MAC: 080027C659ED, Attachment: Host Interface 'ce0 - Cassini Gigabit Ethernet', Cable connected: on, Trace: off (file: none), Type: Am79C973, Reported speed: 0 Mbps
NIC 4:           disabled
NIC 5:           disabled
NIC 6:           disabled
NIC 7:           disabled
NIC 8:           disabled
UART 1:          disabled
UART 2:          disabled
Audio:           disabled (Driver: Unknown, Controller: Unknown)
Clipboard Mode:  Bidirectional
VRDP:            disabled
Shared folders:  <none>

Guest:

Statistics update:                   disabled

/var/adm/messages
Jan 26 17:47:16 DEMOVMA-IS vboxdrv: [ID 389575 kern.notice] vboxflt:vboxNetFltSolarisOpenStream Failed to open '/dev/ce0' rc=19 pszName='ce0'
Jan 26 17:47:16 DEMOVMA-IS vboxdrv: [ID 574432 kern.notice] vboxflt:vboxNetFltSolarisAttachToInterface vboxNetFltSolarisOpenStream failed rc=-3602
Jan 26 17:47:16 DEMOVMA-IS vboxdrv: [ID 709899 kern.notice] vboxflt:vboxNetFltSolarisAttachToInterface failed. rc=-3602

# dladm show-link
bge0            type: non-vlan  mtu: 1500       device: bge0
bge1            type: non-vlan  mtu: 1500       device: bge1
ce0             type: legacy    mtu: 1500       device: ce0
ce1             type: legacy    mtu: 1500       device: ce1
ce2             type: legacy    mtu: 1500       device: ce2
ce3             type: legacy    mtu: 1500       device: ce3

Attachments

vboxlines.txt Download (72.9 KB) - added by msmcknight 5 years ago.
reqsyslog.txt Download (216.5 KB) - added by msmcknight 5 years ago.
vbox-sol10_10.08x86-varadmmessages-vbox-system-crash.out Download (76.0 KB) - added by msmcknight 5 years ago.

Change History

comment:1 Changed 5 years ago by frank

  • Description modified (diff)

comment:2 Changed 5 years ago by junkfer

Hi!

Same error on Solaris 10u6 x86, VBox ver. 2.1.2. HW: Dell PowerEdge 1800 onboard Giga eth (e1000g0) HOST and with SUN QFE X4445A (ce?) GUEST.

uname -a : SunOS xxxxxxxx 5.10 Generic_138889-03 i86pc i386 i86pc

Feb 7 17:26:14 xxxxxxxx vboxdrv: [ID 717608 kern.notice] vboxflt:vboxNetFltSolarisOpenStream Failed to open '/dev/ce3' rc=19 pszName='ce3'

Feb 7 17:26:14 xxxxxxxx vboxdrv: [ID 574432 kern.notice] vboxflt:vboxNetFltSolarisAttachToInterface vboxNetFltSolarisOpenStream failed rc=-3602

Feb 7 17:26:14 xxxxxxxx vboxdrv: [ID 709899 kern.notice] vboxflt:vboxNetFltSolarisAttachToInterface failed. rc=-3602

dladm show-link

ce0 type: legacy mtu: 1500 device: ce0

ce1 type: legacy mtu: 1500 device: ce1

ce2 type: legacy mtu: 1500 device: ce2

ce3 type: legacy mtu: 1500 device: ce3

e1000g0 type: non-vlan mtu: 1500 device: e1000g0

comment:3 follow-up: ↓ 4 Changed 5 years ago by ramshankar

Could you please output ls -l /dev/ce3 and ls -l /dev/net/ce3 ?

comment:4 in reply to: ↑ 3 ; follow-up: ↓ 5 Changed 5 years ago by junkfer

{root@:~}ls -la /dev/ce3 /dev/ce3: No such file or directory {root@:~}ls -la /dev/net/ce3 /dev/net/ce3: No such file or directory

{root@:~}cat /etc/path_to_inst | grep ce .... "/pci@0,0/pci8086,3595@2/pci8086,329@0/pci8086,537c@6/pci100b,35@0" 0 "ce" "/pci@0,0/pci8086,3595@2/pci8086,329@0/pci8086,537c@6/pci100b,35@1" 1 "ce" "/pci@0,0/pci8086,3595@2/pci8086,329@0/pci8086,537c@6/pci100b,35@2" 2 "ce" "/pci@0,0/pci8086,3595@2/pci8086,329@0/pci8086,537c@6/pci100b,35@3" 3 "ce"

seems intresting

comment:5 in reply to: ↑ 4 Changed 5 years ago by junkfer

now info: I have seed, this on an another Solaris 10 u3 SPARC host (difference:VBox not running on it).But here is also no one /dev/ce3 or /dev/net/ce3.

comment:6 Changed 5 years ago by clearvoyager

Here is the response from a Sun v20z to the requested information.

$ ls -la /dev/ce0 /dev/ce1 /dev/ce2 /dev/ce3 /dev/ce* /dev/ce0: No such file or directory /dev/ce1: No such file or directory /dev/ce2: No such file or directory /dev/ce3: No such file or directory lrwxrwxrwx 1 root root 28 Jan 17 13:55 /dev/ce -> ../devices/pseudo/clone@0:ce

$ ls -la /devices/pseudo/clone@0:ce* crw------- 1 root sys 11, 92 Jan 17 13:55 /devices/pseudo/clone@0:ce

$ ls -la /dev/net/ce0 /dev/net/ce1 /dev/net/ce2 /dev/net/ce3 /dev/net/ce* /dev/net/ce0: No such file or directory /dev/net/ce1: No such file or directory /dev/net/ce2: No such file or directory /dev/net/ce3: No such file or directory /dev/net/ce*: No such file or directory

$ ls -la /dev/net/ /dev/net/: No such file or directory

$ cat /etc/path_to_inst | grep ce "/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@0/pci100b,35@0" 0 "ce" "/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@0/pci100b,35@1" 1 "ce" "/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@4/pci100b,35@2" 2 "ce" "/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@4/pci100b,35@3" 3 "ce"

$ uname -a SunOS DEMOVMA-IS 5.10 Generic_137138-09 i86pc i386 i86pc

comment:7 Changed 5 years ago by ramshankar

Could you try the new vboxflt driver binary to see if it can work with the CE devices:

Download from  http://www.virtualbox.org/download/testcase/vboxdrvs_20090511.zip (link expires within 14 days). Instructions on how to setup the drivers are provided as a WhatToDo.txt within the zip file.

comment:8 Changed 5 years ago by clearvoyager

Put updates in place. Initially I received a warning of a version mismatch. # rem_drv vboxnet Driver (vboxnet) not installed. # rem_drv vboxflt # rem_drv vboxusbmon Driver (vboxusbmon) not installed. # rem_drv vboxdrv Device busy Cannot unload module: vboxdrv Will be unloaded upon reboot.

# cp amd64/vbi /platform/i86pc/kernel/misc/amd64/vbi # cp x86/vbi /platform/i86pc/kernel/misc/vbi # cp amd64/vbox* /platform/i86pc/kernel/drv/amd64/ # cp x86/vbox* /platform/i86pc/kernel/drv/x86/ cp: /platform/i86pc/kernel/drv/x86/ not found

# mv /platform/i86pc/kernel/drv/vboxdrv /platform/i86pc/kernel/drv/vboxdrv.org # mv /platform/i86pc/kernel/drv/vboxflt /platform/i86pc/kernel/drv/vboxflt.org # # cp x86/vbox* /platform/i86pc/kernel/drv/x86 # add_drv -m'* 0666 root sys' vboxdrv devfsadm: driver failed to attach: vboxflt Warning: Driver (vboxflt) successfully added to system but failed to attach #add_drv vboxflt # add_drv vboxnet Cannot find module (vboxnet). # add_drv vboxusbmon Cannot find module (vboxusbmon). I then upgraded to VBox 2.2 and reapplied the patch.

# rem_drv vboxnet Device busy Cannot unload module: vboxnet Will be unloaded upon reboot. # rem_drv vboxflt # rem_drv vboxusbmon Driver (vboxusbmon) not installed. # rem_drv vboxdrv Device busy Cannot unload module: vboxdrv Will be unloaded upon reboot. # cp amd64/vbi /platform/i86pc/kernel/misc/amd64/vbi # cp x86/vbi /platform/i86pc/kernel/misc/vbi # cp amd64/vbox* /platform/i86pc/kernel/drv/amd64/ # cp x86/vbox* /platform/i86pc/kernel/drv/x86/ # add_drv -m'* 0666 root sys' vboxdrv devfsadm: driver failed to attach: vboxflt Warning: Driver (vboxflt) successfully added to system but failed to attach # add_drv vboxflt # add_drv vboxnet # add_drv vboxusbmon devfsadm: driver failed to attach: vboxusbmon Warning: Driver (vboxusbmon) successfully added to system but failed to attach # rem_drv vboxnet # rem_drv vboxflt # rem_drv vboxusbmon Driver (vboxusbmon) not installed. # rem_drv vboxdrv # cp amd64/vbi /platform/i86pc/kernel/misc/amd64/vbi # cp x86/vbi /platform/i86pc/kernel/misc/vbi # cp amd64/vbox* /platform/i86pc/kernel/drv/amd64/ # cp x86/vbox* /platform/i86pc/kernel/drv/x86/ # add_drv -m'* 0666 root sys' vboxdrv devfsadm: driver failed to attach: vboxdrv Warning: Driver (vboxdrv) successfully added to system but failed to attach # add_drv vboxflt devfsadm: driver failed to attach: vboxflt Warning: Driver (vboxflt) successfully added to system but failed to attach # add_drv vboxnet # add_drv vboxusbmon devfsadm: driver failed to attach: vboxusbmon Warning: Driver (vboxusbmon) successfully added to system but failed to attach # devfsadm -i vboxdrv # devfsadm -i vboxflt devfsadm: driver failed to attach: vboxflt

Now it will not work with the BGE adapter which worked before.

This fix did not work for me. Thanks anyway, it was worth the effort to get these v20z's useful.

comment:9 Changed 5 years ago by ramshankar

Could you please try the experimental test build from (remove both SUNWvbox and SUNWvboxkern and reinstall) (link expires in 14 days):  http://virtualbox.org/download/testcase/VirtualBox-rel-SunOS-r47512.tar.gz

Note: this build could be unstable in other parts and it's highly recommended you go back to your 2.2.2 once you have tested what is required.

This contains the vboxnetflt fix required.

Make sure you reboot after installing new version in case just to be sure the latest drivers are being used.

comment:10 follow-up: ↓ 11 Changed 5 years ago by msmcknight

I am also seeing this problem. I am using 2.2.2 on an OpenSolaris? 2008.11 host.

The problem does seem to be tied to the Bridged network adapter in that I only seem to get the error when I select it. The error I see is:

Error: failed to start machine. Error message: Failed to open/create the internal network 'HostInterfaceNetworking?-e1000g0 - Intel PRO/1000 Gigabit Ethernet' (VERR_INTNET_FLT_IF_FAILED). Failed to attach the network LUN (VERR_INTNET_FLT_IF_FAILED). Unknown error creating VM (VERR_INTNET_FLT_IF_FAILED)

Of interest is that I am trying to run vbox within a Solaris zone. When I do this and select the bridged interface, it fails with the error above and the VM powers off. If I try this from the global zone, it causes the VM to lock up where I cannot stop it and must "kill -9" the underlying processes.

Virtualbox 2.2.2 is the only version I have used on this host, so my case differs from above in that this was not the result of an upgrade.

Any ideas?

comment:11 in reply to: ↑ 10 Changed 5 years ago by ramshankar

Replying to msmcknight:

Could you please provide the output of:

tail -3000 /va/adm/messages | grep -i vbox > vboxlines.txt
tail -3000 /var/adm/messages > reqsyslog.txt

And attach vboxlines.txt and reqsyslog.txt files to this defect?

comment:12 Changed 5 years ago by msmcknight

I will as soon as I can. Apparently the crash broke the kernel drivers. Now, neither the global zone, nor the non-global-zone can see the devices. They appear when I do an:

#ls -ld /dev/v* lrwxrwxrwx 1 root root 35 2008-12-29 07:03 /dev/vboxdrv -> ../devices/pseudo/vboxdrv@0:vboxdrv lrwxrwxrwx 1 root root 33 2008-12-29 07:03 /dev/vboxflt -> ../devices/pseudo/clone@0:vboxflt lrwxrwxrwx 1 root other 33 2009-05-22 00:58 /dev/vboxnet -> ../devices/pseudo/clone@0:vboxnet lrwxrwxrwx 1 root other 36 2009-05-22 00:58 /dev/vboxnet0 -> ../devices/pseudo/vboxnet@0:vboxnet0 lrwxrwxrwx 1 root other 41 2009-05-22 00:58 /dev/vboxusbmon -> ../devices/pseudo/vboxusbmon@0:vboxusbmon

But I cannot reference them. Even trying a simple tail fails: #tail -f /dev/vboxdrv tail: cannot open `/dev/vboxdrv' for reading: No such file or directory tail: no files remaining

And yet, the file is right there!

Anyway, now I'm trying to deinstall and reinstall, but I cannot seem to get the device files to uninstall.

comment:13 Changed 5 years ago by ramshankar

What I really wanted was the output of the already occurred crash, (this does not require /dev/vboxdrv or driver to be loaded etc.)

But anyway...

If you don't feel like uninstall, reinstall and reboot, you could try this: Make sure all VMs are off and virtualbox is fully closed.

su
rem_drv vboxnet
rem_drv vboxflt
rem_drv vboxusbmon
rem_drv vboxusb

add_drv vboxdrv
add_drv vboxflt
chmod a+rw /devices/pseudo/vboxdrv*

(forget usbmon/vboxnet for now)

This should reload the drivers. (Order is important)

Changed 5 years ago by msmcknight

Changed 5 years ago by msmcknight

comment:14 Changed 5 years ago by msmcknight

Ok - I got it reinstalled. When I try to start the VM, I get:

Error: failed to start machine. Error message: Failed to open/create the internal network 'HostInterfaceNetworking-e1000g0 - Intel PRO/1000 Gigabit Ethernet' (VERR_INTNET_FLT_IF_FAILED). Failed to attach the network LUN (VERR_INTNET_FLT_IF_FAILED). Unknown error creating VM (VERR_INTNET_FLT_IF_FAILED)

And I see the following immediately in dmesg:

May 22 16:22:31 biostar1 vboxdrv: [ID 712223 kern.notice] vboxflt:vboxNetFltSolarisOpenStream Failed to open '/dev/e1000g0' rc=2 pszName='e1000g0'

May 22 16:22:31 biostar1 vboxdrv: [ID 574432 kern.notice] vboxflt:vboxNetFltSolarisAttachToInterface vboxNetFltSolarisOpenStream failed rc=-3602

May 22 16:22:31 biostar1 vboxdrv: [ID 709899 kern.notice] vboxflt:vboxNetFltSolarisAttachToInterface failed. rc=-3602

As requested, I have attached some files: vboxlines.txt reqsyslog.txt (please excuse the syslog mess - I was also fighting some xwindows issues)

comment:15 Changed 5 years ago by ramshankar

What is ls -l /dev/e1000g0 and /dev/net/e1000g0 ? This should normally never happen on e1000g0 drivers.

comment:16 Changed 5 years ago by msmcknight

Networking is functioning normally in all zones. I'm only having trouble with Virtualbox.

# ls -l /dev/e1000g0 lrwxrwxrwx 1 root root 56 2008-12-29 07:03 /dev/e1000g0 -> ../devices/pci@0,0/pci1106,c364@3/pci8086,1083@0:e1000g0 # ls -l /dev/net/e1000g0 crw-rw-rw- 1 root sys 223, 1 2009-05-22 15:31 /dev/net/e1000g0

comment:17 Changed 5 years ago by msmcknight

(let me try that again -- for some reason, my LF/CR's didn't post correctly)

Networking is functioning normally in all zones. I'm only having trouble with Virtualbox.

# ls -l /dev/e1000g0 lrwxrwxrwx 1 root root 56 2008-12-29 07:03 /dev/e1000g0 -> ../devices/pci@0,0/pci1106,c364@3/pci8086,1083@0:e1000g0

# ls -l /dev/net/e1000g0 crw-rw-rw- 1 root sys 223, 1 2009-05-22 15:31 /dev/net/e1000g0

comment:18 Changed 5 years ago by ramshankar

But does it work from the global zone?

comment:19 Changed 5 years ago by msmcknight

No -- it fails from either Zone... and the last time I tried it from the global zone, it crashed the entire server --- not just the VM -- Solaris went down with it. (OpenSolaris 2008.11)

comment:20 Changed 5 years ago by ramshankar

Not had this crash report before, it would be useful to give the syslog upon such a crash. That would help identify the root of the problem.

comment:21 Changed 5 years ago by msmcknight

Any evidence of the crash should be in the syslog I posted above on 2009-05-22 (reqsyslog.txt). I'm not sure what, if anything was recorded, as it was a hard crash and syslog may not have had time to record anything.

comment:22 Changed 5 years ago by msmcknight

I just attached a new /var/adm/messages file that contains
at least two crashes in it. These were VBoxHeadless runs with
a machine using a bridged interface. The machine seemed to be ok
until I connected to it using RDP.

Vbox was running in the global zone as the root user.

OS = Solaris 10 x86 10_08 release The file attached is: vbox-sol10_10.08x86-varadmmessages-vbox-system-crash.out

Changed 5 years ago by msmcknight

comment:23 Changed 5 years ago by ramshankar

Are you booting the Solaris 10u6 host in 32-bit mode?

comment:24 Changed 5 years ago by msmcknight

Yes - It is a 32-bit server (Pentium 4)

comment:25 Changed 5 years ago by ramshankar

Could you please try without bridged networking to see if you still get the host panics?

comment:26 Changed 5 years ago by msmcknight

I downgraded to 2.2.0 and it seems to be working fine as long as I dont try to run within a zone. As long as vbox is running in the global zone, the networking seems to be working ok in bridged mode. I was unable to get 2.2.2 to work at all without panics.

Sorry I cant be more help, but I had a production project to get moving and couldnt wait around. I have seen some chatter on other boards that mentioned it had been fixed in 2.2.4, but I cannot confirm.

comment:27 follow-up: ↓ 28 Changed 5 years ago by clearvoyager

Installed VBox 2.2.4 (r47978) on top of Solaris 10, (Generic_137138-09 i86pc) on a Sun v20z.

I still cannot use the Cassini Quad Ethernet card (X4444A)

It bridges to the internal NIC's bge0-1 and it will NAT but still cannot bridge to the ce0-3 NICS.

Any idea when the Cassini interface will be adressed?

comment:28 in reply to: ↑ 27 Changed 5 years ago by ramshankar

Replying to clearvoyager:

Installed VBox 2.2.4 (r47978) on top of Solaris 10, (Generic_137138-09 i86pc) on a Sun v20z.

I still cannot use the Cassini Quad Ethernet card (X4444A)

It bridges to the internal NIC's bge0-1 and it will NAT but still cannot bridge to the ce0-3 NICS.

Any idea when the Cassini interface will be adressed?

Could you give me the /var/adm/messages output lines (it should show why it fails).

comment:29 Changed 5 years ago by clearvoyager

Here is the results of /var/adm/messages when I started the VM:

Jun 5 13:08:11 DEMOVMA-IS vboxdrv: [ID 574432 kern.notice] vboxflt:vboxNetFltSo larisAttachToInterface vboxNetFltSolarisOpenStream failed rc=-3602

Jun 5 13:08:11 DEMOVMA-IS vboxdrv: [ID 709899 kern.notice] vboxflt:vboxNetFltSo larisAttachToInterface failed. rc=-3602

Jun 5 13:54:56 DEMOVMA-IS vboxdrv: [ID 389575 kern.notice] vboxflt:vboxNetFltSo larisOpenStream Failed to open '/dev/ce0' rc=19 pszName='ce0'

Jun 5 13:54:56 DEMOVMA-IS vboxdrv: [ID 574432 kern.notice] vboxflt:vboxNetFltSo larisAttachToInterface vboxNetFltSolarisOpenStream failed rc=-3602

Jun 5 13:54:56 DEMOVMA-IS vboxdrv: [ID 709899 kern.notice] vboxflt:vboxNetFltSo larisAttachToInterface failed. rc=-3602

VBox sends a message when I try to startup the VM which states:

Failed to start the virtual machine Base-Windows2003-ES.

Failed to open/create the internal network 'HostInterfaceNetworking-ce0 - Cassini Gigabit Ethernet' (VERR_INTNET_FLT_IF_FAILED).

Unknown error creating VM (VERR_INTNET_FLT_IF_FAILED).

Then expanding the details section it says:

Result Code: NS_ERROR_FAILURE (0x80004005) Component: Console Interface: IConsole {9511bc54-15ee-4ddf-808e-472aba03809c}

When I looked at the ceo device in /dev here is what I see:

# ls /dev/ce0 /dev/ce0: No such file or directory

But I know it is working in pure Solaris mode as I have the card connecting to other Solaris boxes, and is confirmed by an ifconfig:

# ifconfig ce0 ce0: flags=1000843<UP,BROADCAST,RUNNING,MULTICAST,IPv4> mtu 1500 index 4

inet 10.10.10.12 netmask ffff0000 broadcast 10.10.255.255 ether 0:3:ba:b1:42:74

comment:30 Changed 5 years ago by clearvoyager

Going over the /var/adm/messages what stood out was “Failed to open '/dev/ce0'”

# grep vboxdrv /var/adm/messages

Jun 5 13:54:56 DEMOVMA-IS vboxdrv: [ID 389575 kern.notice] vboxflt:vboxNetFltSolarisOpenStream Failed to open '/dev/ce0' rc=19 pszName='ce0'

Jun 5 13:54:56 DEMOVMA-IS vboxdrv: [ID 574432 kern.notice] vboxflt:vboxNetFltSolarisAttachToInterface vboxNetFltSolarisOpenStream failed rc=-3602

Jun 5 13:54:56 DEMOVMA-IS vboxdrv: [ID 709899 kern.notice] vboxflt:vboxNetFltSolarisAttachToInterface failed. rc=-3602

I looked in the /dev/directory to see and seen there was no ce0, or ce1, ce2, or ce3:

# ls -l /dev/ce* lrwxrwxrwx 1 root root 28 Jan 17 13:55 /dev/ce -> ../devices/pseudo/clone@0:ce

Since I could use “bridged networking” on the bge interfaces I looked to see if they were there:

# ls -l /dev/bge*

lrwxrwxrwx 1 root root 29 Jan 17 14:00 /dev/bge -> ../devices/pseudo/clone@0:bge

lrwxrwxrwx 1 root root 51 Jan 17 14:00 /dev/bge0 -> ../devices/pci@0,0/pci1022,7450@a/pci17c2,10@2:bge0

lrwxrwxrwx 1 root root 51 Jan 17 14:00 /dev/bge1 -> ../devices/pci@0,0/pci1022,7450@a/pci17c2,10@3:bge1

I made sure that the Cassini interfaces were working (But I had no doubt they were because it was through ce0 that I telneted to the unit):

# grep ce0 /var/adm/messages

Jun 5 18:37:21 DEMOVMA-IS genunix: [ID 408822 kern.info] NOTICE: ce0: no fault external to device; service available

Jun 5 18:37:21 DEMOVMA-IS genunix: [ID 611667 kern.info] NOTICE: ce0: xcvr addr:0x01 - link up 1000 Mbps full duplex

Jun 5 18:37:39 DEMOVMA-IS pseudo: [ID 129642 kern.info] pseudo-device: dtrace0

Jun 5 18:37:39 DEMOVMA-IS genunix: [ID 936769 kern.info] dtrace0 is /pseudo/dtrace@0

Jun 5 18:37:39 DEMOVMA-IS pseudo: [ID 129642 kern.info] pseudo-device: systrace0

Jun 5 18:37:39 DEMOVMA-IS genunix: [ID 936769 kern.info] systrace0 is /pseudo/systrace@0

Jun 5 18:37:39 DEMOVMA-IS pseudo: [ID 129642 kern.info] pseudo-device: lx_systrace0

Jun 5 18:37:39 DEMOVMA-IS genunix: [ID 936769 kern.info] lx_systrace0 is /pseudo/lx_systrace@0

Jun 5 18:38:02 DEMOVMA-IS genunix: [ID 408114 kern.info] /pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@0/pci100b,35@0 (ce0) online

I checked the devices in the path_to_inst file for both bge and ce drivers:

The bge looked normal:

# grep bge /etc/path_to_inst

"/pci@0,0/pci1022,7450@a/pci17c2,10@2" 0 "bge"

"/pci@0,0/pci1022,7450@a/pci17c2,10@3" 1 "bge"

# ls -l /devices/pci@0,0/pci1022,7450@a

total 6

drwxr-xr-x 2 root sys 512 Jan 17 15:34 pci17c2,10@2

crw------- 1 root sys 162, 1 Jun 5 16:42 pci17c2,10@2:bge0

drwxr-xr-x 2 root sys 512 Jan 17 15:34 pci17c2,10@3

crw------- 1 root sys 162, 2 Jun 5 16:42 pci17c2,10@3:bge1

drwxr-xr-x 2 root sys 512 Jan 17 15:34 pci17c2,10@4

crw------- 1 root sys 169, 0 Jun 5 17:57 pci17c2,10@4:devctl

crw------- 1 root sys 169, 1 Jun 5 17:57 pci17c2,10@4:scsi

Doing the same for ce:

# grep ce /etc/path_to_inst

"/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@0/pci100b,35@0" 0 "ce"

"/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@0/pci100b,35@1" 1 "ce"

"/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@4/pci100b,35@2" 2 "ce"

"/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@4/pci100b,35@3" 3 "ce"

What struck me is that the special character files did not appear for the ce device:

# ls -l /devices/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@0/

total 4

drwxr-xr-x 2 root sys 512 Jan 17 15:34 pci100b,35@0

drwxr-xr-x 2 root sys 512 Jan 17 15:34 pci100b,35@1

# ls -l /devices/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@4

total 4

drwxr-xr-x 2 root sys 512 Jan 17 15:34 pci100b,35@2

drwxr-xr-x 2 root sys 512 Jan 17 15:34 pci100b,35@3

Notice on each of the two directories where the ce special characters should be are listing 4 files but only 2 show up? Very strange.

Now I am wondering if VBOX is not the problem but the problem is with the SUN X4444A card and Solaris 10. The HCL for this card on the Sun site states it is approved from Solaris 9 to the latest build of Solaris 10 (05/09). I grabbed the installation CD that came with it but the install program would not work with Solaris 10 as it reported an unsupported version.

In order to see if it will work I would need to get the character special file for ce0, ce1, ce2, and ce3 into the directories /devices/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@0/ and /devices/pci@0,0/pci1022,7450@b/pci8086,b154@1/pci8086,b154@4 and then link them to the /dev directory.

So, the question is to move this forward is to see if anyone knows how to create the character special files. I thought that they were created during the installation and boot reconfigure. What I did notice was during the initial installation (not an upgrade) the ce devices were not seen. They became visible when I did a sys_unconfig. Perhaps this is a Solaris problem, but I would like to verify it.

comment:31 Changed 5 years ago by ramshankar

It's not a problem with the Cassini Ethernet driver. The CE device driver on Solaris is the old DLPI-style 2 driver. This means it has a single exported device node and consumers would explicitly attach to the device using explicit PPA messages. The network filter driver tries to attach to the device as a normal DLPI style 1 device, if that doesn't work it fallsback to Clearview style 1 open, and if that doesn't work it tries to open the device as DLPI-style 2.

Could you try with VBox 3.0.6 and see if there's anything on the system release log? I've tried to handle opening of these sort of devices in the network filter driver, it's just we don't have any hardware with these cards any more.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use